Skip to main content
PATCH
/
cabinet
/
admin
/
channel-subscriptions
/
{channel_db_id}
Update Channel Endpoint
curl --request PATCH \
  --url https://api.example.com/cabinet/admin/channel-subscriptions/{channel_db_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel_id": "<string>",
  "channel_link": "<string>",
  "title": "<string>",
  "is_active": true,
  "sort_order": 123,
  "disable_trial_on_leave": true,
  "disable_paid_on_leave": true
}
'
{
  "id": 123,
  "channel_id": "<string>",
  "channel_link": "<string>",
  "title": "<string>",
  "is_active": true,
  "sort_order": 123,
  "disable_trial_on_leave": true,
  "disable_paid_on_leave": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

channel_db_id
integer
required

Body

application/json
channel_id
string | null
title
string | null
Maximum string length: 255
is_active
boolean | null
sort_order
integer | null
disable_trial_on_leave
boolean | null
disable_paid_on_leave
boolean | null

Response

Successful Response

id
integer
required
channel_id
string
required
title
string | null
required
is_active
boolean
required
sort_order
integer
required
disable_trial_on_leave
boolean
required
disable_paid_on_leave
boolean
required